$(function (param) {
    let data = {
        swiper1: null,//头部轮播图的swiper
        swiper6: null,//第六版块轮播图的swiper
        hover2Img: ['/static/picture/e.png', '/static/picture/f.png', '/static/picture/g.png'],//.cc4t2m-list 鼠标经过的图片
        hover3Img: ['/static/picture/ee.png', '/static/picture/ff.png', '/static/picture/gg.png'],//.cc4t2m-list 鼠标经过的图片
        gdIndex: 0,//滚动到每个区块就加1
        djsTimer: null,//倒计时的定时器
    }
    //进入页面默认选中第1个
    $('.hnm-list').eq(0).addClass("hl-hover")
    //定位二级子菜单的位置
    $('.hnml-menu').css({
        paddingLeft: $('.hnm-list-coat').eq(1)[0].offsetLeft + 'px',
        width: window.innerWidth + 'px',
        left: -$('.hnm-list-coat').eq(1)[0].offsetLeft + 'px',
        top: $('.h-nav-coat').height() + 'px',
        height: $('.h-nav-coat').height() + 'px',
    })
    //进入导航栏顶部菜单
    $('.hnm-list-coat').hover(function (param) {
        $('.hnm-list').eq(0).removeClass("hl-hover")
    }, function (param) {
        $('.hnm-list').eq(0).addClass("hl-hover")
    })
    $('.h-nav-coat').addClass("hnc")
    //创建swiper实例
    data.swiper1 = new Swiper('.h-lbt .swiper-container', {
        loop: true, // 循环模式选项

        autoplay: {
            delay: 3000,
            stopOnLastSlide: false,
            disableOnInteraction: false,
        },
        // 如果需要分页器
        pagination: {
            el: '.swiper-pagination',
            clickable: true,
        },

        // 如果需要前进后退按钮
        navigation: {
            nextEl: '.swiper-button-next',
            prevEl: '.swiper-button-prev',
        },
    })
    //创建第六版块的swiper实例
    data.swiper6 = new Swiper('.cc6-lbt .swiper-container', {
        loop: true, // 循环模式选项
        // slidesPerView: 4,
        // slidesPerGroup: 4,
        autoplay: {
            delay: 3000,
            stopOnLastSlide: false,
            disableOnInteraction: false,
        },
        speed: 1500,
        // 如果需要分页器
        pagination: {
            el: '.cc6-lbt-page',
            clickable: true,
        },
        observer: true, //修改swiper自己或子元素时，自动初始化swiper
        observeParents: true, //修改swiper的父元素时，自动初始化swiper
    })
    //控制轮播图外框 的宽度
    $(".cc6-lbt .swiper-container").css({
        width: $('.cc6-swiper-list-coat').eq(0).width()
    })
    $('.cc8m-list').eq($(this).length - 2).css({
        borderBottom: "none",
    })
    //监听鼠标滚动   .delay()延迟执行函数
    $(document).scroll(function () {
        //获取当前滚动的高度  取整数
        let WS = Math.floor($(this).scrollTop() + window.innerHeight)
        //获取滚动到该元素的位置
        let c1 = $('.center-content1-coat')[0].offsetTop + $('.center-content1-coat').height() * .7
        let c2 = $('.center-content2-coat')[0].offsetTop + $('.center-content2-coat').height() * .7
        let c3 = $('.center-content3-coat')[0].offsetTop + $('.center-content3-coat').height() * .5
        let c4 = $('.center-content4-coat')[0].offsetTop + $('.center-content4-coat').height() * .7
        let c5 = $('.center-content5-coat')[0].offsetTop + $('.center-content5-coat').height() * .7
        let c6 = $('.center-content6-coat')[0].offsetTop + $('.center-content6-coat').height() * .7
        let c7 = $('.center-content7-coat')[0].offsetTop + $('.center-content7-coat').height() * .7
        let c8 = $('.center-content8-coat')[0].offsetTop + $('.center-content8-coat').height() * .4
        let c9 = $('.center-content9-coat')[0].offsetTop + $('.center-content9-coat').height() * .7
        // console.log(WS, c1)
        if (WS >= c1 && data.gdIndex === 0) {
            //滚动索引+1 来临时储存当前滚动的状态
            data.gdIndex++
            $('.cc1-title img').eq(0).addClass("show")
            $('.cc1-text').eq(0).delay(300).addClass("show")
            $('.cc1-m-list').eq(0).delay(500).animate({
                opacity: "1",
            }, 500)
            $('.cc1-m-list').eq(1).delay(700).animate({
                opacity: "1",
            }, 500)
            $('.cc1-m-list').eq(2).delay(900).animate({
                opacity: "1",
            }, 500)
            $('.cc1-m-list').eq(3).delay(1100).animate({
                opacity: "1",
            }, 500)
        }
        if (WS >= c2 && data.gdIndex === 1) {
            //滚动索引+1 来临时储存当前滚动的状态
            data.gdIndex++
            $('.cc1-title img').eq(1).addClass("show")
            $('.cc1-text').eq(1).delay(300).addClass("show")
            $('.cc2ml-list').eq(0).delay(700).animate({
                left: "0",
            }, 1000)
            $('.cc2ml-list').eq(1).delay(1000).animate({
                left: "0",
            }, 1000)
            $('.cc2ml-list').eq(2).delay(1300).animate({
                left: "0",
            }, 1000)
            $('.cc2ml-list').eq(3).delay(700).animate({
                left: "0",
            }, 1000)
            $('.cc2ml-list').eq(4).delay(1000).animate({
                left: "0",
            }, 1000)
            $('.cc2ml-list').eq(5).delay(1300).animate({
                left: "0",
            }, 1000)
            $('.cc2-m-list-center img').delay(600).animate({
                opacity: "1",
                top: "0",
            }, 1000)
        }

        if (WS >= c3 && data.gdIndex === 2) {
            //滚动索引+1 来临时储存当前滚动的状态
            data.gdIndex++
            setTimeout(() => {
                $('.cc3-left img').addClass("show");
            }, 300)
            setTimeout(() => {
                $('.cc3-right').addClass("show");
            }, 1300)
        }
        if (WS >= c4 && data.gdIndex === 3) {
            //滚动索引+1 来临时储存当前滚动的状态
            data.gdIndex++
            $('.cc4-title img').eq(0).addClass("show")
            setTimeout(() => {
                $('.cc4-text').addClass("show");
                $('.cc4na-list').eq(0).addClass("show")
            }, 400)
            setTimeout(() => {
                $('.cc4na-list').eq(1).addClass("show");
                $('.cc4na-list').eq(2).addClass("show");
            }, 700)
            setTimeout(() => {
                $('.cc4na-list').eq(3).addClass("show");
            }, 1000)
            $('.cc4-text-animate').eq(0).delay(700).countUp({
                //delay：每个数字动画的延迟时间，单位毫秒
                //time：计数动画总的持续时间。
                delay: 30,
                time: 2000,
            });
            $('.cc4-text-animate').eq(1).delay(700).countUp({
                //delay：每个数字动画的延迟时间，单位毫秒
                //time：计数动画总的持续时间。
                delay: 30,
                time: 2000,
            });
            $('.cc4-text-animate').eq(2).delay(700).countUp({
                //delay：每个数字动画的延迟时间，单位毫秒
                //time：计数动画总的持续时间。
                delay: 30,
                time: 2000,
            });
            $('.cc4-text-animate').eq(3).delay(1000).countUp({
                //delay：每个数字动画的延迟时间，单位毫秒
                //time：计数动画总的持续时间。
                delay: 30,
                time: 2000,
            });
            $('.cc4-text-animate').eq(4).delay(1300).countUp({
                //delay：每个数字动画的延迟时间，单位毫秒
                //time：计数动画总的持续时间。
                delay: 30,
                time: 2000,
            });
        }
        if (WS >= c5 && data.gdIndex === 4) {
            //滚动索引+1 来临时储存当前滚动的状态
            data.gdIndex++
            $('.cc4-title2-text').eq(0).addClass("show")
            setTimeout(() => {
                $('.cc4-t2-text2').addClass("show");
            }, 400)
            $('.cc4t2m-list:nth-child(1)').addClass("show")
            $('.cc4t2m-list:nth-child(2)').addClass("show")
            $('.cc4t2m-list:nth-child(3)').addClass("show")
            $('.cc4t2-btn').delay(1500).animate({
                opacity: 1,
            }, 1000)
        }
        if (WS >= c6 && data.gdIndex === 5) {
            //滚动索引+1 来临时储存当前滚动的状态
            data.gdIndex++
            //停止轮播图自动滚动
            data.swiper6.autoplay.stop()
            $('.cc6-title').addClass("show")
            setTimeout(() => {
                $('.cc6-text').addClass("show")
            }, 700);
            setTimeout(() => {
                $('.cc6-swiper-list').addClass("show")
            }, 800)
            setTimeout(() => {
                $('.cc6-lbt-page').addClass("show")
                //轮播图开始自动播放
                data.swiper6.autoplay.start()
            }, 1000)
        }
        if (WS >= c7 && data.gdIndex === 6) {
            //滚动索引+1 来临时储存当前滚动的状态
            data.gdIndex++
            $('.cc7-zzs img').addClass("show")
        }
        if (WS >= c8 && data.gdIndex === 7) {
            //滚动索引+1 来临时储存当前滚动的状态
            data.gdIndex++
            $('.cc8-title').addClass("show")
            setTimeout(() => {
                $('.cc8-text').addClass("show")
            }, 500)
            setTimeout(() => {
                $('.cc8ml-left').eq(2).addClass("show")
            }, 800)
            setTimeout(() => {
                $('.cc8ml-left').eq(1).addClass("show")
            }, 900)
            setTimeout(() => {
                $('.cc8ml-left').eq(0).addClass("show")
            }, 1000)
            setTimeout(() => {
                $('.cc8ml-right').eq(2).addClass("show")
            }, 800)
            setTimeout(() => {
                $('.cc8ml-right').eq(1).addClass("show")
            }, 900)
            setTimeout(() => {
                $('.cc8ml-right').eq(0).addClass("show")
            }, 1000)
            setTimeout(() => {
                $('.cc8-more-btn').addClass("show")
            }, 2000)
        }
        if (WS >= c9 && data.gdIndex === 8) {
            //滚动索引+1 来临时储存当前滚动的状态
            data.gdIndex++
            $('.center-content9').addClass("show")
        }
    })


    //全方位大数据深度分析下方菜单鼠标经过
    $('.cc4t2m-list').hover(function (param) {
        let index = $(this).index()
        $('.cc4t2ml-icon img').eq(index)[0].src = data.hover2Img[index];
    }, function (param) {
        let index = $(this).index()
        $('.cc4t2ml-icon img').eq(index)[0].src = data.hover3Img[index];
    })

    //搜索按钮被点击
/*     $('#ss-btn').click(function () {
        if (window.innerWidth <= 1525) {
            $('.ss1525px').addClass('show-time')
        }
    }) */
    //点击关闭搜索窗口
    $('.ss1525-close').click(function () {
        $('.ss1525px').removeClass('show-time')
    })

    //导航栏 登录按钮被点击
/*     $('.hnb-login').click(function () {
        $('.login-mask').addClass("show")
        $('.login-ck').addClass("show")
    }) */
    //导航栏 注册按钮被点击
/*     $('.hnb-register').click(function () {
        $('.login-mask').addClass("show")
        $('.register-ck').addClass("show")
    }) */
    //登录窗口黑色遮罩 被点击
    $('.login-mask').click(function (param) {
        $(this).removeClass("show")
        $('.login-mask').removeClass("show")
        $('.login-ck').removeClass("show")
        $('.register-ck').removeClass("show")
    })
    //关闭弹窗按钮 被点击
    $('.lc-title img').click(function () {
        $('.login-mask').click() //执行 登录窗口黑色遮罩的点击事件
    })
    //登录窗口操作部分 阻止冒泡
    $('.ck-coat').click(function (e) {
        e.stopPropagation();
    })
    //立即注册 按钮被点击.
    $('#go_register').click(function (param) {
        window.open('http://cnscyn.com/qt/toReg');
		
    })
    //已有账号去登录 按钮被点击.
    $('#go_login').click(function (param) {
        $('.login-ck').addClass("show")
        $('.register-ck').removeClass("show")
    })
    //进入页面判断验证码倒计时是否已结束
    if (sessionStorage.codedjs) {
        let djs = parseInt(sessionStorage.codedjs)
        data.djsTimer = setInterval(() => {
            if (djs > 0) {
                djs--
                $('#get_code').addClass('get-code-none')[0].innerText = djs + 's后可再次获取'
            } else {
                $('#get_code').removeClass('get-code-none')[0].innerText = "获取验证码"
                clearInterval(data.djsTimer)
            }
            sessionStorage.codedjs = djs
        }, 1001)
    }
    //获取验证码被点击
    $('#get_code').click(function () {
        let djs = parseInt(sessionStorage.codedjs)
        //判断验证码倒计时是否已结束
        if (!djs) {
            //如果是结束状态 就从60s开始倒计时
            sessionStorage.codedjs = 60
            $('#get_code').addClass('get-code-none')[0].innerText = sessionStorage.codedjs + 's后可再次获取'
            data.djsTimer = setInterval(() => {
                let djs = parseInt(sessionStorage.codedjs)
                if (djs > 0) {
                    djs--
                    $('#get_code').addClass('get-code-none')[0].innerText = djs + 's后可再次获取'
                } else {
                    $('#get_code').removeClass('get-code-none')[0].innerText = "获取验证码"
                    clearInterval(data.djsTimer)
                }
                sessionStorage.codedjs = djs
            }, 1001)
        }
    })
})